> For the complete documentation index, see [llms.txt](https://docs.thehemera.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.thehemera.com/hemera-indexer/data-class/generated-tables/erc20-token-holders.md).

# ERC20 Token Holders

ERC20 Token Holders table records the balance of each token holder at a given block. Each row represents a holder's balance for a specific token, including the token address, wallet address, balance (balance\_of), and the associated block details.

## ETL data class

| Column Name       | Data Type | Note |
| ----------------- | --------- | ---- |
| token\_address    | str       |      |
| wallet\_address   | str       |      |
| balance\_of       | int       |      |
| transaction\_hash | str       |      |
| block\_timestamp  | timestamp |      |
| block\_number     | int       |      |
| block\_hash       | str       |      |

Examples

```json
{
  "token_address": "0x80137510979822322193fc997d400d5a6c747bf7",
  "wallet_address": "0xcaab1bd9025a576cee4757506d81b32e4724f9ef",
  "balance_of": 9834981273804,
  "transaction_hash": null,
  "block_timestamp": "2023-11-16T01:06:59.000Z",
  "block_number": 590166,
  "block_hash": null
}
```

```csv
0x80137510979822322193fc997d400d5a6c747bf7,0xcaab1bd9025a576cee4757506d81b32e4724f9ef,9834981273804,,,2023-11-16T01:06:59.000Z,590166,
```

## Model in the Database

| Column Name       | Data Type    | Note |
| ----------------- | ------------ | ---- |
| token\_address    | bytea        |      |
| wallet\_address   | bytea        |      |
| balance\_of       | numeric(100) |      |
| transaction\_hash | bytea        |      |
| block\_timestamp  | timestamp    |      |
| block\_number     | bigint       |      |
| block\_hash       | bytea        |      |

```json
{
  "token_address": "\\x80137510979822322193fc997d400d5a6c747bf7",
  "wallet_address": "\\xcaab1bd9025a576cee4757506d81b32e4724f9ef",
  "balance_of": 9834981273804,
  "transaction_hash": null,
  "block_timestamp": "2023-11-16 01:06:59.000000",
  "block_number": 590166,
  "block_hash": null
}
```

```csv
\\x80137510979822322193fc997d400d5a6c747bf7,\\xcaab1bd9025a576cee4757506d81b32e4724f9ef,9834981273804,,,2023-11-16 01:06:59.000000,590166,
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.thehemera.com/hemera-indexer/data-class/generated-tables/erc20-token-holders.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
